Package org.eclipse.birt.chart.computation.withaxes

# Class PlotWithAxes

java.lang.Object
org.eclipse.birt.chart.computation.PlotComputation
org.eclipse.birt.chart.computation.withaxes.PlotWithAxes

All Implemented Interfaces:
  `IConstants`

Direct Known Subclasses:
  `PlotWith2DAxes`, `PlotWith3DAxes`

public abstract class PlotWithAxes extends PlotComputation implements IConstants
PlotWithAxes

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.computation.IConstants

`ABOVE, ANCILLARY_AXIS, ANCILLARY_BASE, ARRAY, AUTO, AVERAGE, AXIS, BACKWARD, BASE, BASE_AXIS, BELOW, BIG_NUMBER_PRIMITIVE_ARRAY, BOOLEAN, BOTTOM, CENTER, COLLECTION, DATE_TIME, DESIGN_TIME, EMPTY_STRING, EQUAL, FORWARD, HORIZONTAL, INSIDE, LABELS, LEFT, LEGEND_ENTRY, LEGEND_GROUP_NAME, LEGEND_MINSLICE_ENTRY, LEGEND_SEPERATOR, LESS, LINE_EXPAND_DOUBLE_SIZE, LINE_EXPAND_SIZE, LINEAR, LOG_10, LOGARITHMIC, MAJOR, MAX, MIN, MINOR, MORE, NON_PRIMITIVE_ARRAY, NULL_STRING, NUMBER_PRIMITIVE_ARRAY, NUMERICAL, ONE_SPACE, ORTHOGONAL, ORTHOGONAL_AXIS, OTHER, OUTSIDE, PERCENT, POSITION_MASK, POSITION_MOVE_ABOVE, POSITION_MOVE_BELOW, POSITION_MOVE_LEFT, POSITION_MOVE_RIGHT, PRIMITIVE_ARRAY, RIGHT, RUN_TIME, SOME_NULL, TEXT, THREE_D, TICK_ABOVE, TICK_ACROSS, TICK_BELOW, TICK_LEFT, TICK_NONE, TICK_RIGHT, TICK_SIDE1, TICK_SIDE2, TICK_SIZE, TOP, TWO_5_D, TWO_D, UNDEFINED, UNDEFINED_STRING, USER_INTERFACE, VALUE, VERTICAL`

## Constructor Summary

Constructors
Constructor
Description
`PlotWithAxes(IDisplayServer ids, RunTimeContext rtc, ChartWithAxes cwa)`

## Method Summary

Modifier and Type
Method
Description
`static DataSetIterator`
`checkDataType(Series se, int iType, RunTimeContext rtc)`
`final AllAxes`
`getAxes()`
`static final int`
`getAxisType(Axis ax)`
Converts to internal (non public-model) data structures
`final int`
`getDimension()`
`final IDisplayServer`
`getDisplayServer()`
`final double`
`getHorizontalSpacingInPixels()`
`LabelLimiter`
`getLabellLimiter(Label la)`
Look up table for label limit.
`ChartWithAxes`
`getModel()`
`final double`
`getSeriesThickness()`
`double`
`getTickSize()`
`final double`
`getTransposedAngle(double dOriginalAngle)`
Returns a transpose of the original angle
`final double`
`getVerticalSpacingInPixels()`
`void`
`putLabelLimiter(Label la, LabelLimiter lbLimit)`
Look up table for label limit.
`final int`
`transposeLabelPosition(int iBaseOrOrthogonal, int iOriginalPosition)`
Returns a transposed or the original label position as requested depending on the plot's orientation

### Methods inherited from class org.eclipse.birt.chart.computation.PlotComputation

`compute, getChartComputation, getPlotBounds, getPlotInsets, getPointToPixel, getRunTimeContext, getSeriesRenderingHints`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlotWithAxes

public PlotWithAxes(IDisplayServer ids, RunTimeContext rtc, ChartWithAxes cwa)

## Method Details

### putLabelLimiter

public void putLabelLimiter(Label la, LabelLimiter lbLimit)
Look up table for label limit.

Parameters:
  `la` -
  `lbLimit` -

### getLabellLimiter

public LabelLimiter getLabellLimiter(Label la)
Look up table for label limit.

Parameters:
  `la` -
Returns:
  LabelLimiter

### getAxisType

public static final int getAxisType(Axis ax)
Converts to internal (non public-model) data structures

Parameters:
  `ax` -
Returns:

### getDimension

public final int getDimension()

### getSeriesThickness

public final double getSeriesThickness()

### getHorizontalSpacingInPixels

public final double getHorizontalSpacingInPixels()

### getVerticalSpacingInPixels

public final double getVerticalSpacingInPixels()

### getAxes

public final AllAxes getAxes()

### getDisplayServer

public final IDisplayServer getDisplayServer()

### checkDataType

public static DataSetIterator checkDataType(Series se, int iType, RunTimeContext rtc) throws ChartException

Parameters:
  `se` -
  `iType` -
Returns:
Throws:
  `ChartException`

### getTransposedAngle

public final double getTransposedAngle(double dOriginalAngle) throws IllegalArgumentException
Returns a transpose of the original angle

Parameters:
  `dOriginalAngle` -
Returns:
  angle
Throws:
  `IllegalArgumentException`

### transposeLabelPosition

public final int transposeLabelPosition(int iBaseOrOrthogonal, int iOriginalPosition) throws IllegalArgumentException
Returns a transposed or the original label position as requested depending on the plot's orientation

Parameters:
  `iBaseOrOrthogonal` -
  `iOriginalPosition` -
Returns:
  position state
Throws:
  `IllegalArgumentException`

### getTickSize

public double getTickSize()

### getModel

public ChartWithAxes getModel()

Overrides:
  `getModel` in class `PlotComputation`